# Interface ContractErrorResult

An error result for a contract

#### Category

User-defined elementary types

#### Hierarchy

- ContractErrorResult

- Defined in codec/lib/format/errors.ts:498

#####
Index

### Properties

error
kind
type

## Properties

### error

error: GenericError | ContractPaddingError

- Defined in codec/lib/format/errors.ts:501

### kind

kind: "error"

- Defined in codec/lib/format/errors.ts:500

### type

type: ContractType

- Defined in codec/lib/format/errors.ts:499

Generated using TypeDoc